## gnome-terminal 3.52.2

=== debian/changelog ===
gnome-terminal (3.52.2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    + gnome-terminal.wrap, debian/rules:
      - Add a wrapper script to restore command line compatibility.
    + debian/control.in:
      - gnome-terminal depends on python3, python3-gi and gir1.2-glib-2.0 for
        the wrapper script.
      - add fonts-dejavu-mono to Depends
    + Add 0001-Restore-transparency.patch:
      - Restore transparency support
    + Add 0001-Add-style-classes-and-CSS-names-to-some-of-our-widge.patch:
      - Add CSS names and style classes so we can theme things more easily.
    + Add 0001-screen-window-Extra-padding-around-transparent-termi.patch:
      - Fix transparency on Wayland. Patch by Owen Taylor, via Debarshi Ray @
        Fedora
    + Add 52_support_apturl.patch:
      - Support apt: urls.
    + Add 60_add_lp_handler.patch:
      - Add a handler for launchpad bug URLs.
    + Add scrollbar-background-theming.patch:
      - Draw background under the scrollbar that matches the actual terminal
        background color. This allows proper theming.
    + Add Use-DejaVu-as-system-font-if-language-is-Arabic.patch.
      - Use DejaVu as system font if LANG is Arabic (LP: #2002290)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jul 2024 11:54:43 -0400

gnome-terminal (3.52.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 10:46:01 -0400

gnome-terminal (3.52.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 Apr 2024 08:27:59 -0400

=== debian/control ===
Source: gnome-terminal
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gnome,
               docbook-to-man,
               docbook-xsl,
               gettext (>= 0.19.8),
               gnome-shell-common (>= 3.36.1-6~) | gnome-shell,
               gsettings-desktop-schemas-dev (>= 0.1.0),
               itstool,
               libdconf-dev (>= 0.14.0),
               libglib2.0-dev (>= 2.52.0),
               libgtk-3-dev (>= 3.22.27),
               libhandy-1-dev,
               libnautilus-extension-dev (>= 43~beta.1),
               libpcre2-dev (>= 10.00),
               libvte-2.91-dev (>= 0.74.0),
               libx11-dev,
               meson (>= 0.61.0),
               uuid-dev,
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-terminal
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-terminal.git
Homepage: https://wiki.gnome.org/Apps/Terminal

Package: gnome-terminal
Architecture: any
Multi-Arch: foreign
Depends: default-dbus-session-bus | dbus-session-bus,
         fonts-dejavu-mono,
         gnome-terminal-data (<< ${gnome:NextVersion}),
         gnome-terminal-data (>= ${gnome:Version}),
         gsettings-desktop-schemas (>= 0.1.0),
         python3,
         python3-gi,
         gir1.2-glib-2.0,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-terminal-emulator
Recommends: gvfs,
            nautilus-extension-gnome-terminal,
            yelp
Description: GNOME terminal emulator application
 GNOME Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the GNOME environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 GNOME Terminal features the ability to use multiple terminals in a single
 window (tabs) and profiles support.

Package: gnome-terminal-data
Architecture: all
Recommends: gnome-terminal
Depends: ${misc:Depends}
Description: Data files for the GNOME terminal emulator
 GNOME Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the GNOME environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 This package contains data, help files and localization settings for
 gnome-terminal, the GNOME terminal emulator application.
Multi-Arch: foreign

Package: nautilus-extension-gnome-terminal
Architecture: any
Depends: gnome-terminal (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Enhances: nautilus
Replaces: brasero (<< 3.27.92-2~)
Description: GNOME terminal emulator application - Nautilus extension
 GNOME Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the GNOME environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 GNOME Terminal features the ability to use multiple terminals in a single
 window (tabs) and profiles support.
 .
 This package contains the extension for Nautilus, the GNOME Files app.
Multi-Arch: same

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.gnome.org/GNOME/@PACKAGE@/tags \
	-/archive/[\d.]+\.?(?:beta|rc)?[\d.]*/@PACKAGE@-([\d].[\d][024689][\d.]+)@ARCHIVE_EXT@

## gnome-terminal 3.54.0

=== debian/changelog ===
gnome-terminal (3.54.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian. Remaining changes:
    + gnome-terminal.wrap, debian/rules:
      - Add a wrapper script to restore command line compatibility.
    + debian/control.in:
      - gnome-terminal depends on python3, python3-gi and gir1.2-glib-2.0 for
        the wrapper script.
      - add fonts-dejavu-mono to Depends
    + Add 0001-Restore-transparency.patch:
      - Restore transparency support
    + Add 0001-Add-style-classes-and-CSS-names-to-some-of-our-widge.patch:
      - Add CSS names and style classes so we can theme things more easily.
    + Add 0001-screen-window-Extra-padding-around-transparent-termi.patch:
      - Fix transparency on Wayland. Patch by Owen Taylor, via Debarshi Ray @
        Fedora
    + Add 52_support_apturl.patch:
      - Support apt: urls.
    + Add 60_add_lp_handler.patch:
      - Add a handler for launchpad bug URLs.
    + Add scrollbar-background-theming.patch:
      - Draw background under the scrollbar that matches the actual terminal
        background color. This allows proper theming.
    + Add Use-DejaVu-as-system-font-if-language-is-Arabic.patch.
      - Use DejaVu as system font if LANG is Arabic (LP: #2002290)
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 09:44:46 -0400

gnome-terminal (3.54.0-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete patch lowering VTE dependency
  * Bump Build-Depends
  * Refresh patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 09:29:50 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libhandy-1-dev,
                libnautilus-extension-dev (>= 43~beta.1),
                libpcre2-dev (>= 10.00),
-               libvte-2.91-dev (>= 0.74.0),
+               libvte-2.91-dev (>= 0.76.0),
                libx11-dev,
                meson (>= 0.61.0),
                uuid-dev,

## gnome-terminal 3.54.3

=== debian/changelog ===
gnome-terminal (3.54.3-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch back to download.gnome.org

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Jan 2025 08:00:22 -0500

gnome-terminal (3.54.2-2) unstable; urgency=medium

  * Team upload
  * Improve x-terminal-emulator compatibility:
    - d/gnome-terminal.wrapper: Stop translating -fn, -fg, -bg, -tn.
      The corresponding options no longer exist in gnome-terminal, so
      using these options would cause a command-line parsing error.
    - d/gnome-terminal.wrapper: Consume one argument given to the -n option.
      This exists for command-line compatibility with xterm, but xterm -n
      takes an argument, so for compatibility we should also accept and
      ignore an argument after -n.
    - Generate a separate man page for gnome-terminal.wrapper.
      Neither gnome-terminal.wrapper nor x-terminal-emulator expects a
      command-line syntax that is compatible with gnome-terminal itself,
      so it is misleading for `man x-terminal-emulator` to show the
      gnome-terminal man page.

 -- Simon McVittie <smcv@debian.org>  Wed, 11 Dec 2024 12:33:56 +0000

gnome-terminal (3.54.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 16:34:45 -0500

gnome-terminal (3.54.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 10:16:21 -0500

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: gnome-terminal
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
                docbook-to-man,
                docbook-xsl,
-               gettext (>= 0.19.8),
                gnome-shell-common (>= 3.36.1-6~) | gnome-shell,
                gsettings-desktop-schemas-dev (>= 0.1.0),
                itstool,
@@ -22,6 +20,7 @@
                libvte-2.91-dev (>= 0.76.0),
                libx11-dev,
                meson (>= 0.61.0),
+               perl,
                uuid-dev,
                xsltproc
 Rules-Requires-Root: no
@@ -34,13 +33,9 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: default-dbus-session-bus | dbus-session-bus,
-         fonts-dejavu-mono,
          gnome-terminal-data (<< ${gnome:NextVersion}),
          gnome-terminal-data (>= ${gnome:Version}),
          gsettings-desktop-schemas (>= 0.1.0),
-         python3,
-         python3-gi,
-         gir1.2-glib-2.0,
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: x-terminal-emulator

## gnome-terminal 3.55.91

=== debian/changelog ===
gnome-terminal (3.55.91-1) unstable; urgency=medium

  * New upstream release
  * Remove xdg-terminal-exec patches applied in new release
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Mar 2025 13:22:25 -0500

gnome-terminal (3.55.90-2) unstable; urgency=medium

  * Cherry-pick patches to fix xdg-terminal-exec handling

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 18:23:46 -0500

gnome-terminal (3.55.90-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib and vte

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 19:40:11 -0500

## gnome-terminal 3.56.0

=== debian/changelog ===
gnome-terminal (3.56.0-1ubuntu2) questing; urgency=medium

  * debian: Drop gnome-terminal nautilus extension (LP: #2119117)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 31 Jul 2025 18:23:36 +0200

gnome-terminal (3.56.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - add fonts-dejavu-mono to Depends
    + Add 0001-Restore-transparency.patch:
      - Restore transparency support
    + Add 0001-Add-style-classes-and-CSS-names-to-some-of-our-widge.patch:
      - Add CSS names and style classes so we can theme things more easily.
    + Add 0001-screen-window-Extra-padding-around-transparent-termi.patch:
      - Fix transparency on Wayland. Patch by Owen Taylor, via Debarshi Ray @
        Fedora
    + Add 52_support_apturl.patch:
      - Support apt: urls.
    + Add 60_add_lp_handler.patch:
      - Add a handler for launchpad bug URLs.
    + Add scrollbar-background-theming.patch:
      - Draw background under the scrollbar that matches the actual terminal
        background color. This allows proper theming.
    + Add Use-DejaVu-as-system-font-if-language-is-Arabic.patch.
      - Use DejaVu as system font if LANG is Arabic (LP: #2002290)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 15:57:55 -0400

gnome-terminal (3.56.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 15:41:07 -0400

gnome-terminal (3.55.90-2ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - add fonts-dejavu-mono to Depends
    + Add 0001-Restore-transparency.patch:
      - Restore transparency support
    + Add 0001-Add-style-classes-and-CSS-names-to-some-of-our-widge.patch:
      - Add CSS names and style classes so we can theme things more easily.
    + Add 0001-screen-window-Extra-padding-around-transparent-termi.patch:
      - Fix transparency on Wayland. Patch by Owen Taylor, via Debarshi Ray @
        Fedora
    + Add 52_support_apturl.patch:
      - Support apt: urls.
    + Add 60_add_lp_handler.patch:
      - Add a handler for launchpad bug URLs.
    + Add scrollbar-background-theming.patch:
      - Draw background under the scrollbar that matches the actual terminal
        background color. This allows proper theming.
    + Add Use-DejaVu-as-system-font-if-language-is-Arabic.patch.
      - Use DejaVu as system font if LANG is Arabic (LP: #2002290)
  * Remove 10-year old Ubuntu-specific compatibility wrapper

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Feb 2025 18:40:53 -0500

gnome-terminal (3.55.90-0ubuntu1) plucky; urgency=medium

  * New upstream release
  * Bump minimum glib and vte
  * Refresh patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Feb 2025 19:51:00 -0500

=== debian/control ===
Source: gnome-terminal
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gnome,
               docbook-to-man,
               docbook-xsl,
               gnome-shell-common (>= 3.36.1-6~) | gnome-shell,
               gsettings-desktop-schemas-dev (>= 0.1.0),
               itstool,
               libdconf-dev (>= 0.14.0),
               libglib2.0-dev (>= 2.68),
               libgtk-3-dev (>= 3.22.27),
               libhandy-1-dev,
               libpcre2-dev (>= 10.00),
               libvte-2.91-dev (>= 0.79.90),
               libx11-dev,
               meson (>= 0.61.0),
               perl,
               uuid-dev,
               xsltproc
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-terminal
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-terminal.git
Homepage: https://wiki.gnome.org/Apps/Terminal

Package: gnome-terminal
Architecture: any
Multi-Arch: foreign
Depends: default-dbus-session-bus | dbus-session-bus,
         fonts-dejavu-mono,
         gnome-terminal-data (<< ${gnome:NextVersion}),
         gnome-terminal-data (>= ${gnome:Version}),
         gsettings-desktop-schemas (>= 0.1.0),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-terminal-emulator
Recommends: gvfs,
            yelp
Description: GNOME terminal emulator application
 GNOME Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the GNOME environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 GNOME Terminal features the ability to use multiple terminals in a single
 window (tabs) and profiles support.

Package: gnome-terminal-data
Architecture: all
Recommends: gnome-terminal
Depends: ${misc:Depends}
Description: Data files for the GNOME terminal emulator
 GNOME Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the GNOME environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 This package contains data, help files and localization settings for
 gnome-terminal, the GNOME terminal emulator application.
Multi-Arch: foreign

## gnome-terminal 3.56.1

=== debian/changelog ===
gnome-terminal (3.56.1-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 15 May 2025 13:38:38 +0200

gnome-terminal (3.56.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum vte

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 10:23:18 -0400

gnome-terminal (3.56.0-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 31 Mar 2025 13:14:54 +0200

gnome-terminal (3.54.3-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 13 Feb 2025 22:59:14 +0100

gnome-terminal (3.54.0-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 24 Sep 2024 13:00:35 +0200

gnome-terminal (3.52.2-0kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 19 Jul 2024 11:46:22 +0200

gnome-terminal (3.52.1-1+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Add transparency patch
    + Drop only_showin patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 14 May 2024 10:07:33 +0700

gnome-terminal (3.52.0-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 15 Apr 2024 17:07:27 +0200

gnome-terminal (3.51.90-1+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Remaining changes:
    + Add transparency patch
    + Drop only_showin patch

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Mar 2024 11:21:42 +0100

gnome-terminal (3.50.1-1+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Remaining changes:
    + Add transparency patch
    + Drop only_showin patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 05 Jan 2024 14:24:13 +0700

gnome-terminal (3.50.0-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 26 Sep 2023 14:42:50 +0200

gnome-terminal (3.48.1-2+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Fix and update patch
  * Remaining changes:
    + Add transparency patch
    + Drop only_showin patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 08 Aug 2023 23:20:57 +0700

gnome-terminal (3.46.8-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Update patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 21 Feb 2023 18:48:11 +0100

gnome-terminal (3.46.7-2kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Update patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 19 Dec 2022 12:41:26 +0100

gnome-terminal (3.46.2-1+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches, fix tr.po
  * Apply Kali patches after Debian's
  * Remaining changes:
    + Add transparency patch
    + Drop only_showin patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 20 Oct 2022 14:21:36 +0700

gnome-terminal (3.46.1-2kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Update patches
  * Show gnome-terminal in all desktops, not only gnome

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 27 Sep 2022 23:53:47 +0200

gnome-terminal (3.44.1-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Jun 2022 15:23:05 +0200

gnome-terminal (3.44.0-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Remaining changes: transparency patch

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Apr 2022 10:06:57 +0200

gnome-terminal (3.43.90-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Remaining changes: transparency patch

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Feb 2022 14:18:33 +0100

gnome-terminal (3.42.2-2kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Remaining changes: transparency patch

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 11 Feb 2022 14:44:38 +0100

gnome-terminal (3.42.2-1+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Remaining changes: transparency patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 13 Dec 2021 09:58:10 +0700

gnome-terminal (3.42.1-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Remaining changes: transparency patch

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Dec 2021 11:34:04 +0100

gnome-terminal (3.42.0-1+kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches
  * Remaining changes: transparency patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 06 Oct 2021 10:19:57 +0700

gnome-terminal (3.40.3-1+kali2) kali-dev; urgency=medium

  * Revert upstream commits that break Kali theming

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 02 Sep 2021 00:10:22 +0700

gnome-terminal (3.40.3-1+kali1) kali-dev; urgency=medium

  * Sync with Debian
    - keep restore-transparency.patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 31 Aug 2021 00:00:12 +0700

gnome-terminal (3.38.3-1kali1) kali-dev; urgency=medium

  * Sync with Debian
    - keep restore-transparency.patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 08 Mar 2021 17:07:47 +0700

gnome-terminal (3.38.2-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Keep restore-transparency.patch

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 05 Feb 2021 15:18:25 +0100

gnome-terminal (3.38.1-2kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Keep restore-transparency.patch

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Nov 2020 15:21:45 +0100

gnome-terminal (3.38.0-1kali1) kali-dev; urgency=medium

  * Synchronize with Debian. Update restore-transparency.patch to apply.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 30 Sep 2020 14:38:19 +0200



=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: gnome-terminal
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>,
+           Arnaud Rebillout <arnaudr@kali.org>,
+           Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
@@ -16,24 +18,26 @@
                libglib2.0-dev (>= 2.68),
                libgtk-3-dev (>= 3.22.27),
                libhandy-1-dev,
+               libnautilus-extension-dev (>= 43~beta.1),
                libpcre2-dev (>= 10.00),
-               libvte-2.91-dev (>= 0.79.90),
+               libvte-2.91-dev (>= 0.80.0),
                libx11-dev,
                meson (>= 0.61.0),
                perl,
                uuid-dev,
                xsltproc
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-terminal
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-terminal.git
+Standards-Version: 4.6.2
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-terminal
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-terminal.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/gnome-terminal
+Vcs-Git: https://gitlab.com/kalilinux/packages/gnome-terminal.git
 Homepage: https://wiki.gnome.org/Apps/Terminal
 
 Package: gnome-terminal
 Architecture: any
 Multi-Arch: foreign
 Depends: default-dbus-session-bus | dbus-session-bus,
-         fonts-dejavu-mono,
          gnome-terminal-data (<< ${gnome:NextVersion}),
          gnome-terminal-data (>= ${gnome:Version}),
          gsettings-desktop-schemas (>= 0.1.0),
@@ -41,6 +45,7 @@
          ${shlibs:Depends}
 Provides: x-terminal-emulator
 Recommends: gvfs,
+            nautilus-extension-gnome-terminal,
             yelp
 Description: GNOME terminal emulator application
  GNOME Terminal is a terminal emulation application that you can use to
@@ -66,3 +71,23 @@
  This package contains data, help files and localization settings for
  gnome-terminal, the GNOME terminal emulator application.
 Multi-Arch: foreign
+
+Package: nautilus-extension-gnome-terminal
+Architecture: any
+Depends: gnome-terminal (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Enhances: nautilus
+Replaces: brasero (<< 3.27.92-2~)
+Description: GNOME terminal emulator application - Nautilus extension
+ GNOME Terminal is a terminal emulation application that you can use to
+ perform the following actions:
+  - Access a UNIX shell in the GNOME environment.
+  - Run any application that is designed to run on VT102, VT220, and xterm
+ terminals.
+ .
+ GNOME Terminal features the ability to use multiple terminals in a single
+ window (tabs) and profiles support.
+ .
+ This package contains the extension for Nautilus, the GNOME Files app.
+Multi-Arch: same

## gnome-terminal 3.56.2

=== debian/changelog ===
gnome-terminal (3.56.2-4ubuntu1) questing; urgency=medium

  * Merge with Debian. Remaining changes:
    + debian/control:
      - add fonts-dejavu-mono to Depends
    + Add 0001-Restore-transparency.patch:
      - Restore transparency support
    + Add 0001-Add-style-classes-and-CSS-names-to-some-of-our-widge.patch:
      - Add CSS names and style classes so we can theme things more easily.
    + Add 0001-screen-window-Extra-padding-around-transparent-termi.patch:
      - Fix transparency on Wayland. Patch by Owen Taylor, via Debarshi Ray @
        Fedora
    + Add 52_support_apturl.patch:
      - Support apt: urls.
    + Add 60_add_lp_handler.patch:
      - Add a handler for launchpad bug URLs.
    + Add scrollbar-background-theming.patch:
      - Draw background under the scrollbar that matches the actual terminal
        background color. This allows proper theming.
    + Add Use-DejaVu-as-system-font-if-language-is-Arabic.patch.
      - Use DejaVu as system font if LANG is Arabic (LP #2002290)
    + Drop gnome-terminal nautilus extension (LP #2119117)
  * d/p: Refresh Ubuntu patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 14:00:10 +0200

gnome-terminal (3.56.2-4) unstable; urgency=medium

  * Update xdg-terminal-exec implementation for the latest spec (LP: #2121943)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 09:09:07 +0200

gnome-terminal (3.56.2-3) unstable; urgency=medium

  * Add Recommends: xdg-terminal-exec
  * Explicitly opt into Ubuntu language packs
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Sep 2025 08:58:15 -0400

gnome-terminal (3.56.2-2) unstable; urgency=medium

  * Team upload
  * d/p/prefs-Replace-icon.patch:
    Add patch from upstream to avoid a using legacy icon name.
    emblem-default-symbolic is no longer in adwaita-icon-theme, only in
    adwaita-icon-theme-legacy, which we intentionally don't install by
    default. Use a similar-looking icon instead. (Closes: #1109086)

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Jul 2025 20:51:26 +0100

gnome-terminal (3.56.2-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release
    - Fix an uninitialized variable that caused intermittent
      "Failed to parse arguments: Can only use --wait once" errors
      (gnome-terminal#8122 upstream)
    - Remove an unused struct field
    - Updates to bundled vte subproject
      (not used in Debian, we use the vte2.91 package instead)

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Jul 2025 10:57:25 +0100

=== debian/control ===
Source: gnome-terminal
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-gnome,
               docbook-to-man,
               docbook-xsl,
               gnome-shell-common (>= 3.36.1-6~) | gnome-shell,
               gsettings-desktop-schemas-dev (>= 0.1.0),
               itstool,
               libdconf-dev (>= 0.14.0),
               libglib2.0-dev (>= 2.68),
               libgtk-3-dev (>= 3.22.27),
               libhandy-1-dev,
               libpcre2-dev (>= 10.00),
               libvte-2.91-dev (>= 0.80.0),
               libx11-dev,
               meson (>= 0.61.0),
               perl,
               uuid-dev,
               xsltproc
Standards-Version: 4.7.2
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-terminal
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-terminal.git
Homepage: https://wiki.gnome.org/Apps/Terminal

Package: gnome-terminal
Architecture: any
Multi-Arch: foreign
Depends: default-dbus-session-bus | dbus-session-bus,
         fonts-dejavu-mono,
         gnome-terminal-data (<< ${gnome:NextVersion}),
         gnome-terminal-data (>= ${gnome:Version}),
         gsettings-desktop-schemas (>= 0.1.0),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: x-terminal-emulator
Recommends: gvfs,
            xdg-terminal-exec,
            yelp
Description: GNOME terminal emulator application
 GNOME Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the GNOME environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 GNOME Terminal features the ability to use multiple terminals in a single
 window (tabs) and profiles support.

Package: gnome-terminal-data
Architecture: all
Recommends: gnome-terminal
Depends: ${misc:Depends}
Description: Data files for the GNOME terminal emulator
 GNOME Terminal is a terminal emulation application that you can use to
 perform the following actions:
  - Access a UNIX shell in the GNOME environment.
  - Run any application that is designed to run on VT102, VT220, and xterm
 terminals.
 .
 This package contains data, help files and localization settings for
 gnome-terminal, the GNOME terminal emulator application.
Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dnautilus_extension=false


execute_after_dh_auto_build:
	pod2man \
		--center '$(DEB_VENDOR)' \
		--release '$(DEB_SOURCE) $(DEB_VERSION)' \
		debian/gnome-terminal.wrapper \
		debian/gnome-terminal.wrapper.1

override_dh_gnome_clean:

## gnome-terminal 3.56.2+mint1+gigi

=== debian/changelog ===
gnome-terminal (3.56.2+mint1+gigi) gigi; urgency=medium

  * Native source format
  * Change default profile settings
  * Default profile settings: Show bold text in bright colors
  * Change default palette to Tango
  * Enable dark-mode by default
  * terminal-window.c: Move new-tab/window to top of menu, with separator.
  * Hide the menubar by default

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Sep 2025 16:55:56 +0100

## gnome-terminal 3.58.0

=== meson_options.txt ===
# Copyright © 2019, 2020, 2021 Christian Persch
#
# This programme is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This programme is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this programme.  If not, see <https://www.gnu.org/licenses/>.

option(
  'dbg',
  type: 'boolean',
  value: false,
  description: 'Enable extra debugging functionality',
)

option(
  'docs',
  type: 'boolean',
  value: true,
  description: 'Enable documentation',
)

option(
  'nautilus_extension',
  type: 'boolean',
  value: true,
  description: 'Provide integration for nautilus',
)

option(
  'search_provider',
  type: 'boolean',
  value: true,
  description: 'Provide search integration for gnome-shell',
)

=== subprojects/vte/meson_options.txt ===
# Copyright © 2018, 2019 Iñigo Martínez
#
# This library is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <https://www.gnu.org/licenses/>.

# This option allows you to disable -Bsymbolic-functions if your linker
# doesn't support it.
option(
  '_b_symbolic_functions',
  type: 'boolean',
  value: true,
  description: 'Use -Bsymbolic-functions',
)

option(
  'a11y',
  type: 'boolean',
  value: true,
  description: 'Enable a11y',
)

option(
  'dbg', # for some reason, 'debug' is "reserved"
  type: 'boolean',
  value: false,
  description: 'Enable extra debugging functionality',
)

option(
  'docs',
  type: 'boolean',
  value: false,
  description: 'Enable documentation',
)

option(
  'gir',
  type: 'boolean',
  value: true,
  description: 'Enable GObject Introspection',
)

option(
  'fribidi',
  type: 'boolean',
  value: true,
  description: 'Enable FriBidi support',
)

option(
  'glade',
  type: 'boolean',
  value : true,
  description: 'Install a glade catalogue file'
)

option(
  'gnutls',
  type: 'boolean',
  value: true,
  description: 'Enable GNUTLS support',
)

option(
  'gtk3',
  type: 'boolean',
  value: true,
  description: 'Enable GTK+ 3.0 widget',
)

option(
  'gtk4',
  type: 'boolean',
  value: true,
  description: 'Enable GTK+ 4.0 widget',
)

option(
  'icu',
  type: 'boolean',
  value: true,
  description: 'Enable legacy charset support using ICU',
)

option(
  '_systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd support',
)

option(
  'vapi', # would use 'vala' but that name is reserved
  type: 'boolean',
  value: true,
  description: 'Enable Vala bindings',
)

=== debian/changelog ===
gnome-terminal (3.58.0-1kali1) kali-dev; urgency=medium

  * Sync with Debian
  * Refresh patches

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 15 Oct 2025 13:13:57 +0200

gnome-terminal (3.58.0-1) unstable; urgency=medium

  * New upstream release
  * Remove 4 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 22 Sep 2025 18:08:42 -0400

gnome-terminal (3.56.2-2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Remaining changes:
    + Add transparency patch
    + Drop only_showin patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 14 Aug 2025 15:17:33 +0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: gnome-terminal
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>,
+           Arnaud Rebillout <arnaudr@kali.org>,
+           Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
@@ -16,6 +18,7 @@
                libglib2.0-dev (>= 2.68),
                libgtk-3-dev (>= 3.22.27),
                libhandy-1-dev,
+               libnautilus-extension-dev (>= 43~beta.1),
                libpcre2-dev (>= 10.00),
                libvte-2.91-dev (>= 0.80.0),
                libx11-dev,
@@ -24,16 +27,16 @@
                uuid-dev,
                xsltproc
 Standards-Version: 4.7.2
-X-Ubuntu-Use-Langpack: yes
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-terminal
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-terminal.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-terminal
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-terminal.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/gnome-terminal
+Vcs-Git: https://gitlab.com/kalilinux/packages/gnome-terminal.git
 Homepage: https://wiki.gnome.org/Apps/Terminal
 
 Package: gnome-terminal
 Architecture: any
 Multi-Arch: foreign
 Depends: default-dbus-session-bus | dbus-session-bus,
-         fonts-dejavu-mono,
          gnome-terminal-data (<< ${gnome:NextVersion}),
          gnome-terminal-data (>= ${gnome:Version}),
          gsettings-desktop-schemas (>= 0.1.0),
@@ -41,6 +44,7 @@
          ${shlibs:Depends}
 Provides: x-terminal-emulator
 Recommends: gvfs,
+            nautilus-extension-gnome-terminal,
             xdg-terminal-exec,
             yelp
 Description: GNOME terminal emulator application
@@ -67,3 +71,23 @@
  This package contains data, help files and localization settings for
  gnome-terminal, the GNOME terminal emulator application.
 Multi-Arch: foreign
+
+Package: nautilus-extension-gnome-terminal
+Architecture: any
+Depends: gnome-terminal (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Enhances: nautilus
+Replaces: brasero (<< 3.27.92-2~)
+Description: GNOME terminal emulator application - Nautilus extension
+ GNOME Terminal is a terminal emulation application that you can use to
+ perform the following actions:
+  - Access a UNIX shell in the GNOME environment.
+  - Run any application that is designed to run on VT102, VT220, and xterm
+ terminals.
+ .
+ GNOME Terminal features the ability to use multiple terminals in a single
+ window (tabs) and profiles support.
+ .
+ This package contains the extension for Nautilus, the GNOME Files app.
+Multi-Arch: same

## gnome-terminal 3.58.1

=== debian/changelog ===
gnome-terminal (3.58.1-2) unstable; urgency=medium

  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Build nautilus extension on loong64

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Jan 2026 10:44:29 -0500

gnome-terminal (3.58.1-1) unstable; urgency=medium

  * New upstream release
  * Only build nautilus extension on architectures where nautilus is built
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Jan 2026 16:32:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,7 @@
 Source: gnome-terminal
 Section: gnome
-Priority: optional
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>,
-           Arnaud Rebillout <arnaudr@kali.org>,
-           Daniel Ruiz de Alegría <daniruiz@kali.org>,
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                desktop-file-utils,
                dh-sequence-gnome,
@@ -18,7 +14,7 @@
                libglib2.0-dev (>= 2.68),
                libgtk-3-dev (>= 3.22.27),
                libhandy-1-dev,
-               libnautilus-extension-dev (>= 43~beta.1),
+               libnautilus-extension-dev (>= 43~beta.1) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa m68k powerpc ppc64],
                libpcre2-dev (>= 10.00),
                libvte-2.91-dev (>= 0.80.0),
                libx11-dev,
@@ -26,12 +22,11 @@
                perl,
                uuid-dev,
                xsltproc
-Standards-Version: 4.7.2
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-terminal
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-terminal.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/gnome-terminal
-Vcs-Git: https://gitlab.com/kalilinux/packages/gnome-terminal.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/gnome-terminal
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/gnome-terminal.git
 Homepage: https://wiki.gnome.org/Apps/Terminal
+X-Ubuntu-Use-Langpack: yes
 
 Package: gnome-terminal
 Architecture: any
@@ -73,7 +68,7 @@
 Multi-Arch: foreign
 
 Package: nautilus-extension-gnome-terminal
-Architecture: any
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x alpha hppa m68k powerpc ppc64
 Depends: gnome-terminal (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dnautilus_extension=false
-
+		-Dnautilus_extension=$(if $(filter nautilus-extension-gnome-terminal,$(shell dh_listpackages)),true,false)
 
 execute_after_dh_auto_build:
 	pod2man \
@@ -19,5 +18,3 @@
 		--release '$(DEB_SOURCE) $(DEB_VERSION)' \
 		debian/gnome-terminal.wrapper \
 		debian/gnome-terminal.wrapper.1
-
-override_dh_gnome_clean:
